Bug 887718 - [WebTrans] Too slow to load the last pages of a big document with Firefox
[WebTrans] Too slow to load the last pages of a big document with Firefox
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-16 23:51 EST by Ding-Yi Chen
Modified: 2013-02-27 02:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121217-1536)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 02:57:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-12-16 23:51:39 EST
Description of problem:
With firefox, 
zanata become so slow that warning dialog "Unresponsive script" showing several time when working at the last pages.

Version-Release number of selected component (if applicable):
Zanata version 2.1-SNAPSHOT (20121217-0033)

How reproducible:
Usually

Steps to Reproduce:
1. Edit a big document such as FreeCiv
2. Go to the last page or second last page
3. Start editing tasks, like translating or saving
  
Actual results:
Zanata server react slowly on editing tasks. Warning dialog "Unresponsive script" keep poping up.

Expected results:
Zanata server react reasonably fast. on editing tasks. Warning dialog "Unresponsive script" does not poping up.


Additional info:
Chrome does not affected.
Comment 2 Patrick Huang 2012-12-17 01:27:01 EST
looks ok now on my local machine
Comment 3 Ding-Yi Chen 2012-12-18 01:30:35 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121217-1536).

Note You need to log in before you can comment on or make changes to this bug.